cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vincent Rischmann (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CASSANDRA-13054) cassandra.ps1 doesn't work with some OpenJDK builds
Date Sat, 17 Dec 2016 21:13:58 GMT
Vincent Rischmann created CASSANDRA-13054:
---------------------------------------------

             Summary: cassandra.ps1 doesn't work with some OpenJDK builds
                 Key: CASSANDRA-13054
                 URL: https://issues.apache.org/jira/browse/CASSANDRA-13054
             Project: Cassandra
          Issue Type: Bug
          Components: Configuration
            Reporter: Vincent Rischmann
            Priority: Minor


Hi,

so I'm on Windows and tried to run cassandra 3.9 with cassandra.ps1. My JDK is from https://github.com/ojdkbuild/ojdkbuild.


The issue has to do with the version parsing in cassandra-env.ps1, specifically here: https://github.com/apache/cassandra/blob/trunk/conf/cassandra-env.ps1#L286

With the build from ojdkbuild the version is `1.8.0_111-1-ojdkbuild` and the {{-contains}}
check doesn't work.

By changing the line to {{if ($subVersion.Contains('-'))}} it works correctly.

If needed I can create a PR on GitHub.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message